小红书 · 内容详情

话题下的笔记

传入话题页链接或 ID,返回每个话题下发布的笔记,含标题、作者、互动数和链接。

POST/v1/xiaohongshu/topic

$0.00275 起

  • 每条条目$0.00275
  • 每条主页资料$0.0184
1,000 条
≈ $2.75
每页(10 条)最低
$0.012548

只能用充值余额能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/xiaohongshu/topic" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"topics":["https://www.xiaohongshu.com/page/topics/5c1cc866febed9000184b7c1"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "note",
      "noteId": "6adc1827000000002c0144c2",
      "url": "https://www.xiaohongshu.com/explore/6…",
      "xsecToken": null,
      "noteType": "video",
      "title": "气氛都到这了那说一句新年快乐🌚",
      "description": "#浔屿陪你去沙雕[话题]# #年是越来越近…",
      "authorName": "<masked>",
      "authorId": "<masked>",
      "authorRedId": null,
      "authorAvatar": "<masked>",
      "authorIpLocation": null,
      "authorVerified": null,
      "authorUrl": "<masked>",
      "publishedAt": "2026-10-24T02:29:59Z",
      "likes": 4482,
      "collects": 1173,
      "comments": 1265,
      "shares": 2353,
      "coverUrl": "https://sns-na-i11.xhscdn.com/1040g2s…",
      "imageUrls": null,
      "videoUrl": null,
      "imageCount": null,
      "durationSeconds": null,
      "hashtags": [
        "浔屿陪你去沙雕",
        "年是越来越近了",
        "已经开始期待过年了"
      ]
    },
    {
      "type": "note",
      "noteId": "694e15ae00000000220211f3",
      "url": "https://www.xiaohongshu.com/explore/6…",
      "xsecToken": null,
      "noteType": "video",
      "title": "上海新开8500㎡的室内乐园‼️真的玩到…",
      "description": "没想到火爆深圳的PARTYDAY终于来上海了…",
      "authorName": "<masked>",
      "authorId": "<masked>",
      "authorRedId": null,
      "authorAvatar": "<masked>",
      "authorIpLocation": null,
      "authorVerified": null,
      "authorUrl": "<masked>",
      "publishedAt": "2025-12-26T09:04:27Z",
      "likes": 4333,
      "collects": 3654,
      "comments": 273,
      "shares": 5090,
      "coverUrl": "https://sns-na-i11.xhscdn.com/1040g00…",
      "imageUrls": null,
      "videoUrl": null,
      "imageCount": null,
      "durationSeconds": null,
      "hashtags": [
        "PARTYDAY超星嘉年华",
        "上海新地标",
        "上海周末去哪儿"
      ]
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.012548",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 25

字段类型示例值
typestringnote
noteIdstring6adc1827000000002c0144c2
urlstringhttps://www.xiaohongshu.com/explore/6adc1827000000002c0144c2
xsecTokennullnull
noteTypestringvideo
titlestring气氛都到这了那说一句新年快乐🌚
descriptionstring#浔屿陪你去沙雕[话题]# #年是越来越近了[话题]# #已经开始期待过年了[话题]# #新年快乐[话题]# #开始期待…
authorNamestring<masked>
authorIdstring<masked>
authorRedIdnullnull
authorAvatarstring<masked>
authorIpLocationnullnull
authorVerifiednullnull
authorUrlstring<masked>
publishedAtstring2026-10-24T02:29:59Z
likesnumber4482
collectsnumber1173
commentsnumber1265
sharesnumber2353
coverUrlstringhttps://sns-na-i11.xhscdn.com/1040g2sg326mjj9aa5qbg5ore507nq…
imageUrlsnullnull
videoUrlnullnull
imageCountnullnull
durationSecondsnullnull
hashtagsarray["浔屿陪你去沙雕","年是越来越近了","已经开始期待过年了"]

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。5
topicsarray是话题页链接或 24 位话题页 ID,例如 https://www.xiaohongshu.com/page/topics/5c1cc866febed9000184b7c1。["https://www.xiaohongshu.com/page/topic…

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"topics":["https://www.xiaohongshu.com/page/topics/5c1cc866febed9000184b7c1"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/xiaohongshu/topic", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.012548;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.012548
  • 20 条:最多 $0.055
  • 100 条:最多 $0.275

上面几行只按最便宜的那种记录算。别的种类按各自的价格另算:主页资料 $0.0184。

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「话题下的笔记」要传哪些参数?

必填:topics。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 条目 $0.00275、主页资料 $0.0184。每页最低收费 $0.012548:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.275。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。